org.apache.synapse.transport.util

## Class HttpMessageHandler

- java.lang.Object
- - org.apache.synapse.transport.util.HttpMessageHandler

- All Implemented Interfaces:
    MessageHandler

      public class HttpMessageHandler
      extends java.lang.Object
      implements MessageHandler

  Message handler to handle the messages coming through Netty based HTTP transport.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpMessageHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildMessage(org.apache.axis2.context.MessageContext messageContext)`
    `void` | `buildMessage(org.apache.axis2.context.MessageContext messageContext, boolean earlyBuild)`
    `java.io.InputStream` | `getMessageDataStream(org.apache.axis2.context.MessageContext msgContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpMessageHandler

          public HttpMessageHandler()

  - ### Method Detail

    - #### getMessageDataStream

          public java.io.InputStream getMessageDataStream(org.apache.axis2.context.MessageContext msgContext)

      Specified by:
        `getMessageDataStream` in interface `MessageHandler`

    - #### buildMessage

          public void buildMessage(org.apache.axis2.context.MessageContext messageContext)
                            throws java.io.IOException

      Specified by:
        `buildMessage` in interface `MessageHandler`
      Throws:
        `java.io.IOException`

    - #### buildMessage

          public void buildMessage(org.apache.axis2.context.MessageContext messageContext,
                                   boolean earlyBuild)
                            throws java.io.IOException

      Specified by:
        `buildMessage` in interface `MessageHandler`
      Throws:
        `java.io.IOException`

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.